Subject: Re: [PATCH] i2c: update for semaphore to mutex conversion of devices

From: Greg KH <[email-masked]>
Date: Mon, 8 Mar 2010 15:59:53 -0800

On Tue, Mar 09, 2010 at 10:28:28AM +1100, Stephen Rothwell wrote:
> I have been carrying this patch in linux-next for some time and now
> mainline needs it.

Well, it's not required, but it is nice to have.  I didn't merge the
"convert the driver core semaphore to a mutex" patch as it was causing
too many false-positive lockdep warnings.

Hopefully the lockdep core will be tweaked to handle the locking tree
that the device core requires and then when that happens, I will merge
the patch that will require this fix in order to keep the build from
breaking.

But for now, it's not a requirement, although, it does make my life
easier.

thanks,

greg k-h